Subject: Re: help with distributed workflow/signoff

From: Brock Peabody <[email-masked]>
Date: Wed, 14 Jul 2010 21:46:46 +0000 (UTC)

Ævar Arnfjörð Bjarmason <avarab <at> gmail.com> writes:

> Well, consider that even if you push most patches through, the peer
> review you get from having a setup similar to Git's own might very
> well be worth it. Everyone makes mistakes, having a second set of
> eyeballs to look at your code eliminates a lot of that.
> 
> That may not be acceptable to your corporate culture, but consider
> that most big corporations (e.g. Google) do detailed code review
> before anything gets commited to the master repository.

Yes, that's a good point.  We are trying to improve our code review processes,
and I think switching to git is going to help with that down the road.  I don't
want to make the switch to git and a heavier (if better) process at the same
time, however, as it would decrease the chance of either being accepted.